/*
 * This file is part of SpongeAPI, licensed under the MIT License (MIT).
 *
 * Copyright (c) SpongePowered <https://www.spongepowered.org>
 * Copyright (c) contributors
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package org.spongepowered.api.block.tileentity;

/**
 * An enumeration of all {@link TileEntityType}s in vanilla Minecraft.
 */
public final class TileEntityTypes {
    private TileEntityTypes() {}

    public static final TileEntityType BANNER = null;
    public static final TileEntityType BEACON = null;
    public static final TileEntityType BREWING_STAND = null;
    public static final TileEntityType CHEST = null;
    public static final TileEntityType COMMAND_BLOCK = null;
    public static final TileEntityType COMPARATOR = null;
    public static final TileEntityType DAYLIGHT_DETECTOR = null;
    public static final TileEntityType DISPENSER = null;
    public static final TileEntityType DROPPER = null;
    public static final TileEntityType ENCHANTMENT_TABLE = null;
    public static final TileEntityType ENDER_CHEST = null;
    public static final TileEntityType END_PORTAL = null;
    public static final TileEntityType FLOWER_POT = null;
    public static final TileEntityType FURNACE = null;
    public static final TileEntityType HOPPER = null;
    public static final TileEntityType JUKEBOX = null;
    public static final TileEntityType MOB_SPAWNER = null;
    public static final TileEntityType NOTE = null;
    public static final TileEntityType PISTON = null;
    public static final TileEntityType SIGN = null;
    public static final TileEntityType SKULL = null;

}
